---
title: MutationObserverInit.attributeOldValue
slug: Web/API/MutationObserverInit/attributeOldValue
tags:
  - API
  - API Reference
  - Attributes
  - Changes
  - DOM
  - DOM WHATWG
  - Monitor
  - MutationObserverInit
  - Observer
  - Property
  - Reference
  - value
---
<div>{{APIRef("DOM WHATWG")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("MutationObserverInit")}}</strong> dictionary's optional <strong><code>attributeOldValue</code></strong> property is used to specify whether or not to record the prior value of the altered attribute in {{domxref("MutationRecord")}} objects denoting attribute value changes.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>options</em> = {
  <em>attributeOldValue</em>: true | false
}
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value indicating whether or not the prior value of a changed attribute should be included in the {{domxref("MutationObserver.oldValue")}} property when reporting attribute value changes. If <code>true</code>, <code>oldValue</code> is set accordingly. If <code>false</code>, it is not.</p>

<p>When using <code>attributeOldValue</code>, setting the {{domxref("MutationObserverInit.attributes", "attributes")}} option to <code>true</code> is optional.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/MutationObserverInit/attributes", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-mutationobserverinit-attributeoldvalue', 'MutationObserverInit.attributeOldValue')}}</td>
   <td>{{ Spec2('DOM WHATWG') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MutationObserverInit.attributeOldValue")}}</p>
</div>
